YUI.add("yuidoc-meta", function(Y) {
   Y.YUIDoc = { meta: {
    "classes": [
        "TangibleKeyboard",
        "TangibleKeyboard.layouts.Ipac2",
        "TangibleKeyboard.layouts.IpacVE",
        "TangibleKeyboard.layouts.ipac4"
    ],
    "modules": [
        "layouts"
    ],
    "allModules": [
        {
            "displayName": "layouts",
            "name": "layouts",
            "description": "#### Overview ####\n\nThe I-PAC 2 is a 32-input keyboard emulator manufactured by\n<a href=\"http://www.ultimarc.com/\">Ultimarc</a>. It is mostly used in arcade game\nsimulators but is also a popular way to connect switches in physical computing\nprojects. This layout will enable you to specify bindings using the labels printed on\nthe I-PAC 2 board (`1RGHT`, `2B`, `1SW6`, etc.). This will save you from having to\nlook up which keycodes are triggered by which inputs.\n\n#### Usage ####\n\nUsing it is quite simple. Simply link to the file and call the `setLayout()` method\nwith the `ipac2` identifier:\n\n     <script src=\"tangiblekeyboard.js\"></script>\n     <script src=\"layouts/tangiblekeyboard.layout.ipac2.js\"></script>\n\n     <script>\n         TangibleKeyboard.setLayout('ipac2');\n\n         TangibleKeyboard.on(\n             '1RGHT',\n             {\n                 onKeyDown: function(e, keys, combo) { console.log(e); }\n             }\n         );\n     </script>\n\nThat's it.\n\nIf you are using AMD or CommonJS, there's an extra step. You will need to\nexplicitely register and assign the layout. Here's an example with AMD:\n\n     define(function (require) {\n\n         var tk = require('tangiblekeyboard');\n         var layout = require('layouts/tangiblekeyboard.layout.ipac2');\n         tk.registerAndSetLayout(\"ipac2\", layout);\n\n         tk.on(\n             '1RGHT',\n             {\n                 onKeyDown: function(e, keys, combo) { console.log(e); }\n             }\n         );\n\n     });\n\n#### Warning ####\n\nThe I-PAC 2 uses the <a href=\"http://en.wikipedia.org/wiki/MAME\">MAME</a> key mappings\nby default. This means that the `1STRT` input actually behaves like a shift key and\nmodifies the key assignment of other inputs when activated. It also means that this\ninput will trigger both down and up callbacks at once when released. If you are not\nbuilding a MAME-type arcade simulator, I would urge you not to use this input."
        }
    ]
} };
});