/*
 * TangibleKeyboard - An easy to use and flexible keyboard binding library to attach events to key presses, key sequences and key combos.
 *
 * Copyright 2011 by Robert William Hurst and Copyright 2015 by Jean-Philippe Côté.
 *
 * For documentation, updates and examples, visit:
 *
 *    http://cote.cc/projects/tangiblekeyboard
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this
 * software and associated documentation files (the "Software"), to deal in the Software
 * without restriction, including without limitation the rights to use, copy, modify,
 * merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies
 * or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
 * THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * Originally licenced under the BSD License. See:
 *
 *      https://raw.github.com/RobertWHurst/KeyboardJS/master/license.txt
 */
!function(a,b){"use strict";function c(){function c(a){var d;return d=b(a,"amd"),d.fork=c,d}return c(a)}function d(){function c(a){var d;return d=b(a,"CommonJS"),d.fork=c,d}module.exports=c(a)}function e(){function c(a){function d(){var b,c;for(c=Array.prototype.slice.apply(arguments),b=0;b<f.length;b+=1)"undefined"==typeof g[f[b]]?delete a[f[b]]:a[f[b]]=g[f[b]];for(g={},b=0;b<c.length;b+=1){if("string"!=typeof c[b])throw new Error("Cannot replace namespaces. All new namespaces must be strings.");g[c[b]]=a[c[b]],a[c[b]]=e}return f=c}var e,f=[],g={};return e=b(a,"global"),e.fork=c,e.noConflict=d,e.noConflict("TangibleKeyboard","k"),e}var d;d=c(a)}[].indexOf||(Array.prototype.indexOf=function(a,b,c){for(c=this.length,b=(c+~~b)%c;c>b&&(!(b in this)||this[b]!==a);b++);return b^c?b:-1}),"function"==typeof define&&define.amd?define(c):"undefined"!=typeof module?d():e()}(this,function(a){"use strict";function b(){a.addEventListener?(a.document.addEventListener("keydown",e,!1),a.document.addEventListener("keyup",f,!1),a.addEventListener("blur",d,!1),a.addEventListener("webkitfullscreenchange",d,!1),a.addEventListener("mozfullscreenchange",d,!1)):a.attachEvent&&(a.document.attachEvent("onkeydown",e),a.document.attachEvent("onkeyup",f),a.attachEvent("onblur",d))}function c(){d(),a.removeEventListener?(a.document.removeEventListener("keydown",e,!1),a.document.removeEventListener("keyup",f,!1),a.removeEventListener("blur",d,!1),a.removeEventListener("webkitfullscreenchange",d,!1),a.removeEventListener("mozfullscreenchange",d,!1)):a.detachEvent&&(a.document.detachEvent("onkeydown",e),a.document.detachEvent("onkeyup",f),a.detachEvent("onblur",d))}function d(a){I=[],l(),q(a)}function e(a){var b,c,d;if(b=g(a.keyCode),!(b.length<1)){for(a.isRepeat=!1,d=0;d<b.length;d+=1)c=b[d],-1!==I.indexOf(c)&&(a.isRepeat=!0),w(c);k(),p(a)}}function f(a){var b,c;if(b=g(a.keyCode),!(b.length<1)){for(c=0;c<b.length;c+=1)x(b[c]);l(),q(a)}}function g(a){return C[a]||[]}function h(a){var b;for(b in C)if(C.hasOwnProperty(b)&&C[b].indexOf(a)>-1)return b;return!1}function i(a,b){if("string"!=typeof a&&("object"!=typeof a||"function"!=typeof a.push))throw new Error("Cannot create macro. The combo must be a string or array.");if("object"!=typeof b||"function"!=typeof b.push)throw new Error("Cannot create macro. The injectedKeys must be an array.");D.push([a,b])}function j(a){var b;if("string"!=typeof a&&("object"!=typeof a||"function"!=typeof a.push))throw new Error("Cannot remove macro. The combo must be a string or array.");for(var c=0;c<D.length;c+=1)if(b=D[c],r(a,b[0])){x(b[1]),D.splice(c,1);break}}function k(){var a,b,c;for(a=0;a<D.length;a+=1)if(b=u(D[a][0]),-1===L.indexOf(D[a])&&s(b))for(L.push(D[a]),c=0;c<D[a][1].length;c+=1)w(D[a][1][c])}function l(){var a,b,c;for(a=0;a<L.length;a+=1)if(b=u(L[a][0]),s(b)===!1){for(c=0;c<L[a][1].length;c+=1)x(L[a][1][c]);L.splice(a,1),a-=1}}function m(a,b){function c(){var a;for(a=0;a<k.length;a+=1)J.splice(J.indexOf(k[a]),1)}function d(a){var b,c,d,e={};if("string"!=typeof a)throw new Error("Cannot bind callback. The event name must be a string.");if("keyup"!==a&&"keydown"!==a)throw new Error('Cannot bind callback. The event name must be a "keyup" or "keydown".');for(b=Array.prototype.slice.apply(arguments,[1]),c=0;c<b.length;c+=1)if("function"==typeof b[c])if("keyup"===a)for(d=0;d<k.length;d+=1)k[d].keyUpCallback.push(b[c]);else if("keydown"===a)for(d=0;d<k.length;d+=1)k[d].keyDownCallback.push(b[c]);return e.clear=function(){var c,d;for(c=0;c<b.length;c+=1)if("function"==typeof b[c])if("keyup"===a)for(d=0;d<k.length;d+=1)k[d].keyUpCallback.splice(k[d].keyUpCallback.indexOf(b[c]),1);else for(d=0;d<k.length;d+=1)k[d].keyDownCallback.splice(k[d].keyDownCallback.indexOf(b[c]),1)},e}var e,f,g,h,i,j={},k=[];if(b=b||{},h=b.onKeyDown||void 0,i=b.onKeyUp||void 0,void 0===h&&void 0===i)throw new Error("A keydown or keyup callback must be specified.");if(void 0!==h&&"function"!=typeof h)throw new Error("Keydown callback must be a function.");if(void 0!==i&&"function"!=typeof i)throw new Error("Keyup callback must be a function.");for("string"==typeof a&&(a=u(a)),f=0;f<a.length;f+=1){if(e={},g=v([a[f]]),"string"!=typeof g)throw new Error("Failed to bind key combo. The key combo must be string.");e.keyCombo=g,e.keyDownCallback=[],e.keyUpCallback=[],e.options={preventDefault:b.preventDefault||!1,preventRepeat:b.preventRepeat||!1},h&&e.keyDownCallback.push(h),i&&e.keyUpCallback.push(i),J.push(e),k.push(e)}return j.clear=c,j.on=d,j}function n(a){var b,c;for(b=0;b<J.length;b+=1)c=J[b],r(a,c.keyCombo)&&(J.splice(b,1),b-=1)}function o(a){var b,c,d;if(a){for(b=0;b<J.length;b+=1)for(d=J[b],c=0;c<d.keyCombo.length;c+=1)if(d.keyCombo[c].indexOf(a)>-1){J.splice(b,1),b-=1;break}}else J=[]}function p(a){var b,c,d,e,f,g,h,i,j,k,l,m=[];for(f=[].concat(I),b=0;b<J.length;b+=1)l=t(J[b].keyCombo).length,m[l]||(m[l]=[]),m[l].push(J[b]);for(c=m.length-1;c>=0;c-=1)if(m[c])for(b=0;b<m[c].length;b+=1){for(d=m[c][b],e=t(d.keyCombo),j=!0,i=0;i<e.length;i+=1)if(-1===f.indexOf(e[i])){j=!1;break}if(j&&s(d.keyCombo)){for(a.isRepeat&&d.options.preventRepeat||a.isRepeat&&"keydown"===a.type||K.push(d),i=0;i<e.length;i+=1)k=f.indexOf(e[i]),k>-1&&(f.splice(k,1),i-=1);for(g=0;g<d.keyDownCallback.length;g+=1)(d.options.preventRepeat!==!0||a.isRepeat!==!0)&&d.keyDownCallback[g](a,I,d.keyCombo)===!1&&(h=!0);(h===!0||d.options.preventDefault===!0)&&(a.preventDefault(),a.stopPropagation())}}}function q(a){var b,c,d,e;for(b=0;b<K.length;b+=1)if(d=K[b],s(d.keyCombo)===!1){for(c=0;c<d.keyUpCallback.length;c+=1)d.keyUpCallback[c](a,I,d.keyCombo)===!1&&(e=!0);(e===!0||d.options.preventDefault===!0)&&(a.preventDefault(),a.stopPropagation()),K.splice(b,1),b-=1}}function r(a,b){var c,d,e;if(a=u(a),b=u(b),a.length!==b.length)return!1;for(c=0;c<a.length;c+=1){if(a[c].length!==b[c].length)return!1;for(d=0;d<a[c].length;d+=1){if(a[c][d].length!==b[c][d].length)return!1;for(e=0;e<a[c][d].length;e+=1)if(-1===b[c][d].indexOf(a[c][d][e]))return!1}}return!0}function s(a){var b,c,d,e,f,g,h=0;for(a=u(a),b=0;b<a.length;b+=1){for(g=!0,h=0,c=0;c<a[b].length;c+=1){for(d=[].concat(a[b][c]),e=h;e<I.length;e+=1)f=d.indexOf(I[e]),f>-1&&(d.splice(f,1),h=e);if(0!==d.length){g=!1;break}}if(g)return!0}return!1}function t(a){var b,c,d=[];for(a=u(a),b=0;b<a.length;b+=1)for(c=0;c<a[b].length;c+=1)d=d.concat(a[b][c]);return d}function u(a){var b=a,c=0,d=0,e=!1,f=!1,g=[],h=[],i=[],j="";if("object"==typeof a&&"function"==typeof a.push)return a;if("string"!=typeof a)throw new Error('Cannot parse "keyCombo" because its type is "'+typeof a+'". It must be a "string".');for(;" "===b.charAt(c);)c+=1;for(;;){if(" "===b.charAt(c)){for(;" "===b.charAt(c);)c+=1;e=!0}else if(","===b.charAt(c)){if(d||f)throw new Error("Failed to parse key combo. Unexpected , at character index "+c+".");f=!0,c+=1}else if("+"===b.charAt(c)){if(j.length&&(i.push(j),j=""),d||f)throw new Error("Failed to parse key combo. Unexpected + at character index "+c+".");d=!0,c+=1}else if(">"===b.charAt(c)){if(j.length&&(i.push(j),j=""),i.length&&(h.push(i),i=[]),d||f)throw new Error("Failed to parse key combo. Unexpected > at character index "+c+".");d=!0,c+=1}else if(c<b.length-1&&"!"===b.charAt(c)&&(">"===b.charAt(c+1)||","===b.charAt(c+1)||"+"===b.charAt(c+1)))j+=b.charAt(c+1),d=!1,e=!1,f=!1,c+=2;else{if(!(c<b.length&&"+"!==b.charAt(c)&&">"!==b.charAt(c)&&","!==b.charAt(c)&&" "!==b.charAt(c))){c+=1;continue}for((d===!1&&e===!0||f===!0)&&(j.length&&(i.push(j),j=""),i.length&&(h.push(i),i=[]),h.length&&(g.push(h),h=[])),d=!1,e=!1,f=!1;c<b.length&&"+"!==b.charAt(c)&&">"!==b.charAt(c)&&","!==b.charAt(c)&&" "!==b.charAt(c);)j+=b.charAt(c),c+=1}if(c>=b.length){j.length&&(i.push(j),j=""),i.length&&(h.push(i),i=[]),h.length&&(g.push(h),h=[]);break}}return g}function v(a){var b,c,d=[];if("string"==typeof a)return a;if("object"!=typeof a||"function"!=typeof a.push)throw new Error("Cannot stringify key combo.");for(b=0;b<a.length;b+=1){for(d[b]=[],c=0;c<a[b].length;c+=1)d[b][c]=a[b][c].join(" + ");d[b]=d[b].join(" > ")}return d.join(" ")}function w(a){if(a.match(/\s/))throw new Error('Cannot add key name "'+a+'" to active keys because it contains whitespace.');I.indexOf(a)>-1||I.push(a)}function x(a){var b=h(a);"91"===b||"92"===b?I=[]:I.splice(I.indexOf(a),1)}function y(a,b){if("string"!=typeof a)throw new Error("Cannot register new layout. The layout name must be a string.");if("object"!=typeof b)throw new Error('Cannot register "'+a+'" layout. The layout map must be an object.');if("object"!=typeof b.map)throw new Error('Cannot register "'+a+'" layout. The layout map is invalid.');b.macros||(b.macros=[]),H[a]=b}function z(a){if("string"!=typeof a)throw new Error("Cannot set layout. The layout name must be a string.");if(!H[a])throw new Error('Cannot set layout to "'+a+'" because no such layout has been registered.');C=H[a].map,D=H[a].macros,B=a}function A(){return B}var B,C,D,E,F,G={},H={},I=[],J=[],K=[],L=[];for(a=a||window,F={map:{3:["cancel"],8:["backspace"],9:["tab"],12:["clear"],13:["enter"],16:["shift"],17:["ctrl"],18:["alt","menu"],19:["pause","break"],20:["capslock"],27:["escape","esc"],32:["space","spacebar"],33:["pageup"],34:["pagedown"],35:["end"],36:["home"],37:["left"],38:["up"],39:["right"],40:["down"],41:["select"],42:["printscreen"],43:["execute"],44:["snapshot"],45:["insert","ins"],46:["delete","del"],47:["help"],91:["command","windows","win","super","leftcommand","leftwindows","leftwin","leftsuper"],92:["command","windows","win","super","rightcommand","rightwindows","rightwin","rightsuper"],145:["scrolllock","scroll"],186:["semicolon",";"],187:["equal","equalsign","="],188:["comma",","],189:["dash","-"],190:["period","."],191:["slash","forwardslash","/"],192:["graveaccent","`"],219:["openbracket","["],220:["backslash","\\"],221:["closebracket","]"],222:["apostrophe","'"],48:["zero","0"],49:["one","1"],50:["two","2"],51:["three","3"],52:["four","4"],53:["five","5"],54:["six","6"],55:["seven","7"],56:["eight","8"],57:["nine","9"],96:["numzero","num0"],97:["numone","num1"],98:["numtwo","num2"],99:["numthree","num3"],100:["numfour","num4"],101:["numfive","num5"],102:["numsix","num6"],103:["numseven","num7"],104:["numeight","num8"],105:["numnine","num9"],106:["nummultiply","num*"],107:["numadd","num+"],108:["numenter"],109:["numsubtract","num-"],110:["numdecimal","num."],111:["numdivide","num/"],144:["numlock","num"],112:["f1"],113:["f2"],114:["f3"],115:["f4"],116:["f5"],117:["f6"],118:["f7"],119:["f8"],120:["f9"],121:["f10"],122:["f11"],123:["f12"]},macros:[["shift + `",["tilde","~"]],["shift + 1",["exclamation","exclamationpoint","!"]],["shift + 2",["at","@"]],["shift + 3",["number","#"]],["shift + 4",["dollar","dollars","dollarsign","$"]],["shift + 5",["percent","%"]],["shift + 6",["caret","^"]],["shift + 7",["ampersand","and","&"]],["shift + 8",["asterisk","*"]],["shift + 9",["openparen","("]],["shift + 0",["closeparen",")"]],["shift + -",["underscore","_"]],["shift + =",["plus","+"]],["shift + (",["opencurlybrace","opencurlybracket","{"]],["shift + )",["closecurlybrace","closecurlybracket","}"]],["shift + \\",["verticalbar","|"]],["shift + ;",["colon",":"]],["shift + '",["quotationmark",'"']],["shift + !,",["openanglebracket","<"]],["shift + .",["closeanglebracket",">"]],["shift + /",["questionmark","?"]]]},E=65;90>=E;E+=1)F.map[E]=String.fromCharCode(E+32),F.macros.push(["shift + "+String.fromCharCode(E+32)+", capslock + "+String.fromCharCode(E+32),[String.fromCharCode(E)]]);return y("qwerty",F),z("qwerty"),b(),G.version="1.0.0-beta.2",G.activeKeys=I,G.enable=b,G.disable=c,G.removeActiveKey=x,G.addActiveKey=w,G.on=m,G.removeBindingByKeySelector=n,G.removeBindingByKeyName=o,G.setLayout=z,G.getLayout=A,G.registerLayout=y,G.registerAndSetLayout=function(a,b){y(a,b),z(a)},G.getKeyName=g,G.getKeyCode=h,G.stringify=v,G.createMacro=i,G.removeMacro=j,G.combo={},G.combo.active=s,G.combo.parse=u,G});